Create agent dynamic variable

Create agent dynamic variable. See the OpenAPI-defined parameters, request body, and responses below.

POST /AgentDynamicVariable

Create agent dynamic variable. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria uma nova variável dinâmica de agente com os dados fornecidos.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: AgentDynamicVariableDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
agentIdinteger · int32No——

Example request

curl --request POST \
  --url 'https://api.zild.ai/AgentDynamicVariable' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "value": "string",
  "agentId": 0
}'

Responses

StatusDescriptionResponse body
200Ferramenta criada com sucessoapplication/json · AgentDynamicVariableDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "value": "string",
  "agentId": 0
}

Data models

AgentDynamicVariableDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
agentIdinteger · int32No——